diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-ofdma-test.cc ns-3.44/src/wifi/test/wifi-phy-ofdma-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-ofdma-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-ofdma-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -50,9 +50,9 @@
 NS_LOG_COMPONENT_DEFINE("WifiPhyOfdmaTest");
 
 static const uint8_t DEFAULT_CHANNEL_NUMBER = 36;
-static const MHz_u DEFAULT_FREQUENCY = 5180;
+static const MHz_u DEFAULT_FREQUENCY{5180};
 static const WifiPhyBand DEFAULT_WIFI_BAND = WIFI_PHY_BAND_5GHZ;
-static const MHz_u DEFAULT_CHANNEL_WIDTH = 20;
+static const MHz_u DEFAULT_CHANNEL_WIDTH{20};
 static const MHz_u DEFAULT_GUARD_WIDTH =
     DEFAULT_CHANNEL_WIDTH; // expanded to channel width to model spectrum mask
 
@@ -66,7 +66,7 @@
     /**
      * Constructor
      *
-     * \param staId the ID of the STA to which this PHY belongs to
+     * @param staId the ID of the STA to which this PHY belongs to
      */
     OfdmaTestHePhy(uint16_t staId);
     ~OfdmaTestHePhy() override;
@@ -75,15 +75,15 @@
      * Return the STA ID that has been assigned to the station this PHY belongs to.
      * This is typically called for MU PPDUs, in order to pick the correct PSDU.
      *
-     * \param ppdu the PPDU for which the STA ID is requested
-     * \return the STA ID
+     * @param ppdu the PPDU for which the STA ID is requested
+     * @return the STA ID
      */
     uint16_t GetStaId(const Ptr<const WifiPpdu> ppdu) const override;
 
     /**
      * Set the global PPDU UID counter.
      *
-     * \param uid the value to which the global PPDU UID counter should be set
+     * @param uid the value to which the global PPDU UID counter should be set
      */
     void SetGlobalPpduUid(uint64_t uid);
 
@@ -124,14 +124,14 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
      * Constructor
      *
-     * \param staId the ID of the STA to which this PHY belongs to
+     * @param staId the ID of the STA to which this PHY belongs to
      */
     OfdmaSpectrumWifiPhy(uint16_t staId);
     ~OfdmaSpectrumWifiPhy() override;
@@ -145,47 +145,47 @@
     /**
      * TracedCallback signature for UID of transmitted PPDU.
      *
-     * \param uid the UID of the transmitted PPDU
+     * @param uid the UID of the transmitted PPDU
      */
     typedef void (*TxPpduUidCallback)(uint64_t uid);
 
     /**
      * Set the global PPDU UID counter.
      *
-     * \param uid the value to which the global PPDU UID counter should be set
+     * @param uid the value to which the global PPDU UID counter should be set
      */
     void SetPpduUid(uint64_t uid);
 
     /**
      * Since we assume trigger frame was previously received from AP, this is used to set its UID
      *
-     * \param uid the PPDU UID of the trigger frame
+     * @param uid the PPDU UID of the trigger frame
      */
     void SetTriggerFrameUid(uint64_t uid);
 
     /**
-     * \return the current preamble events map
+     * @return the current preamble events map
      */
     std::map<std::pair<uint64_t, WifiPreamble>, Ptr<Event>>& GetCurrentPreambleEvents();
     /**
-     * \return the current event
+     * @return the current event
      */
     Ptr<Event> GetCurrentEvent();
 
     /**
      * Wrapper to InterferenceHelper method.
      *
-     * \param energy the minimum energy requested
-     * \param band identify the requested band
+     * @param energy the minimum energy requested
+     * @param band identify the requested band
      *
-     * \returns the expected amount of time the observed
+     * @returns the expected amount of time the observed
      *          energy on the medium for a given band will
      *          be higher than the requested threshold.
      */
     Time GetEnergyDuration(Watt_u energy, WifiSpectrumBandInfo band);
 
     /**
-     * \return a const pointer to the HE PHY instance
+     * @return a const pointer to the HE PHY instance
      */
     Ptr<const HePhy> GetHePhy() const;
 
@@ -280,10 +280,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief DL-OFDMA PHY test
+ * @brief DL-OFDMA PHY test
  */
 class TestDlOfdmaPhyTransmission : public TestCase
 {
@@ -298,77 +298,77 @@
 
     /**
      * Receive success function for STA 1
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void RxSuccessSta1(Ptr<const WifiPsdu> psdu,
                        RxSignalInfo rxSignalInfo,
-                       WifiTxVector txVector,
-                       std::vector<bool> statusPerMpdu);
+                       const WifiTxVector& txVector,
+                       const std::vector<bool>& statusPerMpdu);
     /**
      * Receive success function for STA 2
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void RxSuccessSta2(Ptr<const WifiPsdu> psdu,
                        RxSignalInfo rxSignalInfo,
-                       WifiTxVector txVector,
-                       std::vector<bool> statusPerMpdu);
+                       const WifiTxVector& txVector,
+                       const std::vector<bool>& statusPerMpdu);
     /**
      * Receive success function for STA 3
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void RxSuccessSta3(Ptr<const WifiPsdu> psdu,
                        RxSignalInfo rxSignalInfo,
-                       WifiTxVector txVector,
-                       std::vector<bool> statusPerMpdu);
+                       const WifiTxVector& txVector,
+                       const std::vector<bool>& statusPerMpdu);
 
     /**
      * Receive failure function for STA 1
-     * \param psdu the PSDU
+     * @param psdu the PSDU
      */
     void RxFailureSta1(Ptr<const WifiPsdu> psdu);
     /**
      * Receive failure function for STA 2
-     * \param psdu the PSDU
+     * @param psdu the PSDU
      */
     void RxFailureSta2(Ptr<const WifiPsdu> psdu);
     /**
      * Receive failure function for STA 3
-     * \param psdu the PSDU
+     * @param psdu the PSDU
      */
     void RxFailureSta3(Ptr<const WifiPsdu> psdu);
 
     /**
      * Check the results for STA 1
-     * \param expectedRxSuccess the expected number of RX success
-     * \param expectedRxFailure the expected number of RX failures
-     * \param expectedRxBytes the expected number of RX bytes
+     * @param expectedRxSuccess the expected number of RX success
+     * @param expectedRxFailure the expected number of RX failures
+     * @param expectedRxBytes the expected number of RX bytes
      */
     void CheckResultsSta1(uint32_t expectedRxSuccess,
                           uint32_t expectedRxFailure,
                           uint32_t expectedRxBytes);
     /**
      * Check the results for STA 2
-     * \param expectedRxSuccess the expected number of RX success
-     * \param expectedRxFailure the expected number of RX failures
-     * \param expectedRxBytes the expected number of RX bytes
+     * @param expectedRxSuccess the expected number of RX success
+     * @param expectedRxFailure the expected number of RX failures
+     * @param expectedRxBytes the expected number of RX bytes
      */
     void CheckResultsSta2(uint32_t expectedRxSuccess,
                           uint32_t expectedRxFailure,
                           uint32_t expectedRxBytes);
     /**
      * Check the results for STA 3
-     * \param expectedRxSuccess the expected number of RX success
-     * \param expectedRxFailure the expected number of RX failures
-     * \param expectedRxBytes the expected number of RX bytes
+     * @param expectedRxSuccess the expected number of RX success
+     * @param expectedRxFailure the expected number of RX failures
+     * @param expectedRxBytes the expected number of RX bytes
      */
     void CheckResultsSta3(uint32_t expectedRxSuccess,
                           uint32_t expectedRxFailure,
@@ -381,15 +381,15 @@
 
     /**
      * Send MU-PPDU function
-     * \param rxStaId1 the ID of the recipient STA for the first PSDU
-     * \param rxStaId2 the ID of the recipient STA for the second PSDU
+     * @param rxStaId1 the ID of the recipient STA for the first PSDU
+     * @param rxStaId2 the ID of the recipient STA for the second PSDU
      */
     void SendMuPpdu(uint16_t rxStaId1, uint16_t rxStaId2);
 
     /**
      * Generate interference function
-     * \param interferencePsd the PSD of the interference to be generated
-     * \param duration the duration of the interference
+     * @param interferencePsd the PSD of the interference to be generated
+     * @param duration the duration of the interference
      */
     void GenerateInterference(Ptr<SpectrumValue> interferencePsd, Time duration);
     /**
@@ -404,14 +404,14 @@
 
     /**
      * Schedule now to check  the PHY state
-     * \param phy the PHY
-     * \param expectedState the expected state of the PHY
+     * @param phy the PHY
+     * @param expectedState the expected state of the PHY
      */
     void CheckPhyState(Ptr<OfdmaSpectrumWifiPhy> phy, WifiPhyState expectedState);
     /**
      * Check the PHY state now
-     * \param phy the PHY
-     * \param expectedState the expected state of the PHY
+     * @param phy the PHY
+     * @param expectedState the expected state of the PHY
      */
     void DoCheckPhyState(Ptr<OfdmaSpectrumWifiPhy> phy, WifiPhyState expectedState);
 
@@ -483,22 +483,22 @@
                           false,
                           false};
     HeRu::RuType ruType = HeRu::RU_106_TONE;
-    if (m_channelWidth == 20)
+    if (m_channelWidth == MHz_u{20})
     {
         ruType = HeRu::RU_106_TONE;
         txVector.SetRuAllocation({96}, 0);
     }
-    else if (m_channelWidth == 40)
+    else if (m_channelWidth == MHz_u{40})
     {
         ruType = HeRu::RU_242_TONE;
         txVector.SetRuAllocation({192, 192}, 0);
     }
-    else if (m_channelWidth == 80)
+    else if (m_channelWidth == MHz_u{80})
     {
         ruType = HeRu::RU_484_TONE;
         txVector.SetRuAllocation({200, 200, 200, 200}, 0);
     }
-    else if (m_channelWidth == 160)
+    else if (m_channelWidth == MHz_u{160})
     {
         ruType = HeRu::RU_996_TONE;
         txVector.SetRuAllocation({208, 208, 208, 208, 208, 208, 208, 208}, 0);
@@ -515,7 +515,7 @@
     txVector.SetMode(HePhy::GetHeMcs7(), rxStaId1);
     txVector.SetNss(1, rxStaId1);
 
-    HeRu::RuSpec ru2(ruType, (m_channelWidth == 160 ? 1 : 2), m_channelWidth != 160);
+    HeRu::RuSpec ru2(ruType, (m_channelWidth == MHz_u{160} ? 1 : 2), m_channelWidth != MHz_u{160});
     txVector.SetRu(ru2, rxStaId2);
     txVector.SetMode(HePhy::GetHeMcs9(), rxStaId2);
     txVector.SetNss(1, rxStaId2);
@@ -563,8 +563,8 @@
 void
 TestDlOfdmaPhyTransmission::RxSuccessSta1(Ptr<const WifiPsdu> psdu,
                                           RxSignalInfo rxSignalInfo,
-                                          WifiTxVector txVector,
-                                          std::vector<bool> /*statusPerMpdu*/)
+                                          const WifiTxVector& txVector,
+                                          const std::vector<bool>& /*statusPerMpdu*/)
 {
     NS_LOG_FUNCTION(this << *psdu << rxSignalInfo << txVector);
     m_countRxSuccessSta1++;
@@ -574,8 +574,8 @@
 void
 TestDlOfdmaPhyTransmission::RxSuccessSta2(Ptr<const WifiPsdu> psdu,
                                           RxSignalInfo rxSignalInfo,
-                                          WifiTxVector txVector,
-                                          std::vector<bool> /*statusPerMpdu*/)
+                                          const WifiTxVector& txVector,
+                                          const std::vector<bool>& /*statusPerMpdu*/)
 {
     NS_LOG_FUNCTION(this << *psdu << rxSignalInfo << txVector);
     m_countRxSuccessSta2++;
@@ -585,8 +585,8 @@
 void
 TestDlOfdmaPhyTransmission::RxSuccessSta3(Ptr<const WifiPsdu> psdu,
                                           RxSignalInfo rxSignalInfo,
-                                          WifiTxVector txVector,
-                                          std::vector<bool> /*statusPerMpdu*/)
+                                          const WifiTxVector& txVector,
+                                          const std::vector<bool>& /*statusPerMpdu*/)
 {
     NS_LOG_FUNCTION(this << *psdu << rxSignalInfo << txVector);
     m_countRxSuccessSta3++;
@@ -691,7 +691,7 @@
 {
     Ptr<MultiModelSpectrumChannel> spectrumChannel = CreateObject<MultiModelSpectrumChannel>();
     Ptr<FriisPropagationLossModel> lossModel = CreateObject<FriisPropagationLossModel>();
-    lossModel->SetFrequency(m_frequency * 1e6);
+    lossModel->SetFrequency(MHzToHz(m_frequency));
     spectrumChannel->AddPropagationLossModel(lossModel);
     Ptr<ConstantSpeedPropagationDelayModel> delayModel =
         CreateObject<ConstantSpeedPropagationDelayModel>();
@@ -825,37 +825,37 @@
 
     // Send MU PPDU with two PSDUs addressed to STA 1 and STA 2:
     // Each STA should receive its PSDU.
-    Simulator::Schedule(Seconds(1.0), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 2);
+    Simulator::Schedule(Seconds(1), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 2);
 
     // Since it takes m_expectedPpduDuration to transmit the PPDU,
     // all 3 PHYs should be back to IDLE at the same time,
     // even the PHY that has no PSDU addressed to it.
-    Simulator::Schedule(Seconds(1.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(1) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(1.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(1) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(1.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(1) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta3,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(1.0) + m_expectedPpduDuration,
+    Simulator::Schedule(Seconds(1) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(1.0) + m_expectedPpduDuration,
+    Simulator::Schedule(Seconds(1) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(1.0) + m_expectedPpduDuration,
+    Simulator::Schedule(Seconds(1) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta3,
@@ -883,37 +883,37 @@
     // Send MU PPDU with two PSDUs addressed to STA 1 and STA 3:
     // STA 1 should receive its PSDU, whereas STA 2 should not receive any PSDU
     // but should keep its PHY busy during all PPDU duration.
-    Simulator::Schedule(Seconds(2.0), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 3);
+    Simulator::Schedule(Seconds(2), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 3);
 
     // Since it takes m_expectedPpduDuration to transmit the PPDU,
     // all 3 PHYs should be back to IDLE at the same time,
     // even the PHY that has no PSDU addressed to it.
-    Simulator::Schedule(Seconds(2.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(2) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(2.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(2) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(2.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(2) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta3,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(2.0) + m_expectedPpduDuration,
+    Simulator::Schedule(Seconds(2) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(2.0) + m_expectedPpduDuration,
+    Simulator::Schedule(Seconds(2) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(2.0) + m_expectedPpduDuration,
+    Simulator::Schedule(Seconds(2) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta3,
@@ -939,22 +939,22 @@
     Simulator::Schedule(Seconds(2.5), &TestDlOfdmaPhyTransmission::ResetResults, this);
 
     // Send MU PPDU with two PSDUs addressed to STA 1 and STA 2:
-    Simulator::Schedule(Seconds(3.0), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 2);
+    Simulator::Schedule(Seconds(3), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 2);
 
     // A strong non-wifi interference is generated on RU 1 during PSDU reception
     BandInfo bandInfo;
-    bandInfo.fc = (m_frequency - (m_channelWidth / 4)) * 1e6;
-    bandInfo.fl = bandInfo.fc - ((m_channelWidth / 4) * 1e6);
-    bandInfo.fh = bandInfo.fc + ((m_channelWidth / 4) * 1e6);
+    bandInfo.fc = MHzToHz(m_frequency - (m_channelWidth / 4));
+    bandInfo.fl = bandInfo.fc - MHzToHz(m_channelWidth / 4);
+    bandInfo.fh = bandInfo.fc + MHzToHz(m_channelWidth / 4);
     Bands bands;
     bands.push_back(bandInfo);
 
     auto SpectrumInterferenceRu1 = Create<SpectrumModel>(bands);
     auto interferencePsdRu1 = Create<SpectrumValue>(SpectrumInterferenceRu1);
     Watt_u interferencePower{0.1};
-    *interferencePsdRu1 = interferencePower / ((m_channelWidth / 2) * 20e6);
+    *interferencePsdRu1 = interferencePower / (MHzToHz(m_channelWidth / 2) * 20);
 
-    Simulator::Schedule(Seconds(3.0) + MicroSeconds(50),
+    Simulator::Schedule(Seconds(3) + MicroSeconds(50),
                         &TestDlOfdmaPhyTransmission::GenerateInterference,
                         this,
                         interferencePsdRu1,
@@ -963,32 +963,32 @@
     // Since it takes m_expectedPpduDuration to transmit the PPDU,
     // both PHYs should be back to CCA_BUSY (due to the interference) at the same time,
     // even the PHY that has no PSDU addressed to it.
-    Simulator::Schedule(Seconds(3.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(3) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(3.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(3) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(3.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(3) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta3,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(3.0) + m_expectedPpduDuration,
+    Simulator::Schedule(Seconds(3) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(3.0) + m_expectedPpduDuration,
+    Simulator::Schedule(Seconds(3) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(3.0) + m_expectedPpduDuration,
+    Simulator::Schedule(Seconds(3) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta3,
@@ -1010,20 +1010,20 @@
     Simulator::Schedule(Seconds(3.5), &TestDlOfdmaPhyTransmission::ResetResults, this);
 
     // Send MU PPDU with two PSDUs addressed to STA 1 and STA 2:
-    Simulator::Schedule(Seconds(4.0), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 2);
+    Simulator::Schedule(Seconds(4), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 2);
 
     // A strong non-wifi interference is generated on RU 2 during PSDU reception
-    bandInfo.fc = (m_frequency + (m_channelWidth / 4)) * 1e6;
-    bandInfo.fl = bandInfo.fc - ((m_channelWidth / 4) * 1e6);
-    bandInfo.fh = bandInfo.fc + ((m_channelWidth / 4) * 1e6);
+    bandInfo.fc = MHzToHz(m_frequency + (m_channelWidth / 4));
+    bandInfo.fl = bandInfo.fc - MHzToHz(m_channelWidth / 4);
+    bandInfo.fh = bandInfo.fc + MHzToHz(m_channelWidth / 4);
     bands.clear();
     bands.push_back(bandInfo);
 
     Ptr<SpectrumModel> SpectrumInterferenceRu2 = Create<SpectrumModel>(bands);
     Ptr<SpectrumValue> interferencePsdRu2 = Create<SpectrumValue>(SpectrumInterferenceRu2);
-    *interferencePsdRu2 = interferencePower / ((m_channelWidth / 2) * 20e6);
+    *interferencePsdRu2 = interferencePower / (MHzToHz(m_channelWidth / 2) * 20);
 
-    Simulator::Schedule(Seconds(4.0) + MicroSeconds(50),
+    Simulator::Schedule(Seconds(4) + MicroSeconds(50),
                         &TestDlOfdmaPhyTransmission::GenerateInterference,
                         this,
                         interferencePsdRu2,
@@ -1032,36 +1032,39 @@
     // Since it takes m_expectedPpduDuration to transmit the PPDU,
     // both PHYs should be back to IDLE (or CCA_BUSY if interference on the primary 20 MHz) at the
     // same time, even the PHY that has no PSDU addressed to it.
-    Simulator::Schedule(Seconds(4.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(4) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(4.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(4) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(4.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(4) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta3,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(4.0) + m_expectedPpduDuration,
+    Simulator::Schedule(Seconds(4) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta1,
-                        (m_channelWidth >= 40) ? WifiPhyState::IDLE : WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(4.0) + m_expectedPpduDuration,
+                        (m_channelWidth >= MHz_u{40}) ? WifiPhyState::IDLE
+                                                      : WifiPhyState::CCA_BUSY);
+    Simulator::Schedule(Seconds(4) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta2,
-                        (m_channelWidth >= 40) ? WifiPhyState::IDLE : WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(4.0) + m_expectedPpduDuration,
+                        (m_channelWidth >= MHz_u{40}) ? WifiPhyState::IDLE
+                                                      : WifiPhyState::CCA_BUSY);
+    Simulator::Schedule(Seconds(4) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta3,
-                        (m_channelWidth >= 40) ? WifiPhyState::IDLE : WifiPhyState::CCA_BUSY);
+                        (m_channelWidth >= MHz_u{40}) ? WifiPhyState::IDLE
+                                                      : WifiPhyState::CCA_BUSY);
 
     // One PSDU of 1000 bytes should have been successfully received by STA 1
     Simulator::Schedule(Seconds(4.1),
@@ -1079,20 +1082,20 @@
     Simulator::Schedule(Seconds(4.5), &TestDlOfdmaPhyTransmission::ResetResults, this);
 
     // Send MU PPDU with two PSDUs addressed to STA 1 and STA 2:
-    Simulator::Schedule(Seconds(5.0), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 2);
+    Simulator::Schedule(Seconds(5), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 2);
 
     // A strong non-wifi interference is generated on the full band during PSDU reception
-    bandInfo.fc = m_frequency * 1e6;
-    bandInfo.fl = bandInfo.fc - ((m_channelWidth / 2) * 1e6);
-    bandInfo.fh = bandInfo.fc + ((m_channelWidth / 2) * 1e6);
+    bandInfo.fc = MHzToHz(m_frequency);
+    bandInfo.fl = bandInfo.fc - MHzToHz(m_channelWidth / 2);
+    bandInfo.fh = bandInfo.fc + MHzToHz(m_channelWidth / 2);
     bands.clear();
     bands.push_back(bandInfo);
 
     Ptr<SpectrumModel> SpectrumInterferenceAll = Create<SpectrumModel>(bands);
     Ptr<SpectrumValue> interferencePsdAll = Create<SpectrumValue>(SpectrumInterferenceAll);
-    *interferencePsdAll = interferencePower / (m_channelWidth * 20e6);
+    *interferencePsdAll = interferencePower / (MHzToHz(m_channelWidth) * 20);
 
-    Simulator::Schedule(Seconds(5.0) + MicroSeconds(50),
+    Simulator::Schedule(Seconds(5) + MicroSeconds(50),
                         &TestDlOfdmaPhyTransmission::GenerateInterference,
                         this,
                         interferencePsdAll,
@@ -1101,32 +1104,32 @@
     // Since it takes m_expectedPpduDuration to transmit the PPDU,
     // both PHYs should be back to CCA_BUSY (due to the interference) at the same time,
     // even the PHY that has no PSDU addressed to it.
-    Simulator::Schedule(Seconds(5.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(5) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(5.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(5) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(5.0) + m_expectedPpduDuration - NanoSeconds(1),
+    Simulator::Schedule(Seconds(5) + m_expectedPpduDuration - NanoSeconds(1),
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta3,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(5.0) + m_expectedPpduDuration,
+    Simulator::Schedule(Seconds(5) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(5.0) + m_expectedPpduDuration,
+    Simulator::Schedule(Seconds(5) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(5.0) + m_expectedPpduDuration,
+    Simulator::Schedule(Seconds(5) + m_expectedPpduDuration,
                         &TestDlOfdmaPhyTransmission::CheckPhyState,
                         this,
                         m_phySta3,
@@ -1149,23 +1152,23 @@
 void
 TestDlOfdmaPhyTransmission::DoRun()
 {
-    m_frequency = 5180;
-    m_channelWidth = 20;
+    m_frequency = MHz_u{5180};
+    m_channelWidth = MHz_u{20};
     m_expectedPpduDuration = NanoSeconds(306400);
     RunOne();
 
-    m_frequency = 5190;
-    m_channelWidth = 40;
+    m_frequency = MHz_u{5190};
+    m_channelWidth = MHz_u{40};
     m_expectedPpduDuration = NanoSeconds(156800);
     RunOne();
 
-    m_frequency = 5210;
-    m_channelWidth = 80;
+    m_frequency = MHz_u{5210};
+    m_channelWidth = MHz_u{80};
     m_expectedPpduDuration = NanoSeconds(102400);
     RunOne();
 
-    m_frequency = 5250;
-    m_channelWidth = 160;
+    m_frequency = MHz_u{5250};
+    m_channelWidth = MHz_u{160};
     m_expectedPpduDuration = NanoSeconds(75200);
     RunOne();
 
@@ -1173,10 +1176,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief DL-OFDMA PHY puncturing test
+ * @brief DL-OFDMA PHY puncturing test
  */
 class TestDlOfdmaPhyPuncturing : public TestCase
 {
